header {
  height: 412px;
  user-select: none;
  pointer-events: none;
}
.header-container {
  width: 100%;
  height: 741px;
  background-image: url("/img/tools/background.webp");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.header-container .title {
  /* transform: translateY(-100px); */
}
.gallery-slider {
  position: relative;
  height: 100%;
  user-select: none;
  transition: 0.3s transform;
}
.category.swiper {
  width: 100%;
  height: 100%;
  overflow: hidden;
  padding: 0 60px;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.category .swiper-wrapper {
  width: 100%;
  padding-left: 10px;
}
.category .swiper-slide {
  text-align: center;
  font-size: 18px;
  background: transparent;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  border-radius: 8px;
  aspect-ratio: 9/14;
  box-shadow: 0 5px 20px rgb(0,0,0,0.2);
  cursor: pointer;
}
.category .swiper-slide:last-child {
  margin-right: 0 !important;
}
.category .swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  aspect-ratio: 9/14;
  user-select: none;
  position: relative;
  transition: 0.25s scale;
}
.category .swiper-slide::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(0,0,0,0.5);
  z-index: 1;
  transition: 0.3s;
  pointer-events: none;
}
.category .swiper-slide::after {
  content: '';
  position: absolute;
  bottom: -160%;
  right: -160%;
  width: 200%;
  height: 200%;
  background-color: rgb(255,255,255,0.7);
  z-index: 2;
  rotate: 45deg;
  transition: 0.35s bottom, 0.35s right;
  pointer-events: none;
}
.category .swiper-slide h4 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  color: white;
  text-transform: uppercase;
  z-index: 10;
  transition: 0.3s color, 0.3s ;
  width: 100%;
}
.category .swiper-btns {
  position: relative;
  height: 90px;
  width: 100%;
}
.category .swiper-btns .swiper-btn {
  font-size: 32px;
  color: var(--main-color);
  transition: 0.3s scale, 0.3s opacity;
  border: 0;
  outline: 0;
}
.category .swiper-btns .swiper-btn:active {
  scale: 0.85;
}
.category .swiper-btns .swiper-button-next:after,
.category .swiper-btns .swiper-button-prev:after {
  display: none;
}
.category .swiper-slide:hover:after,
.category .swiper-slide.active::after,
.category .swiper-slide:active:after {
  bottom: -50%;
  right: -50%;
}
.category .swiper-slide:active img {
  scale: 1.1;
}
.category .swiper-slide:hover h4,
.category .swiper-slide.active h4,
.category .swiper-slide:active h4 {
  color: #244842;
  text-shadow: 0 0 2px #244842;
}
.galleryCategory {
  position: fixed;
  top: -30px;
  left: 0;
  z-index: 100;
  width: 100%;
  box-shadow: 0 0 10px rgb(0,0,0,0.5);
  background-color: white;
  user-select: none;
  opacity: 0;
  transition: 0.3s opacity, 0.3s top;
}
.galleryCategory.active {
  opacity: 1;
  top: 0;
}
.galleryCategory .galleryCategory-container {
  padding: 20px 0;
}
.galleryCategory .galleryCategory-container p {
  font-size: 2.2rem;
  text-align: center;
}
.galleryList {
  transform: translateY(-80px);
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  padding-top: 75px;
}
.galleryList-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  padding-left: 70px;
  padding-right: 60px;
}
.galleryList-table {
  width: 100%;
  overflow: hidden;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  align-items: center;
  justify-content: space-between;
  grid-gap: 20px;
}
.galleryList-table .galleryImg {
  width: 100%;
  cursor: pointer;
  position: relative;
  transition: 0.2s width;
}
.galleryList-table .galleryImg img {
  width: 100%;
  height: 100%;
  aspect-ratio: 9/16;
  object-fit: cover;
  object-position: center;
  transition: 0.2s width;
  border-radius: 10px;
}
.galleryList-table .galleryImg::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%) scale(0.5);
  opacity: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(255,255,255,0.5);
  transition: 0.3s;
  pointer-events: none;
  z-index: 10;
  border-radius: 10px;
}
.galleryList-table .galleryImg:active:after {
  background-color: rgb(255,255,255,0.7);
}
.galleryList-table .galleryImg:hover:after {
  opacity: 1;
  transform: translate(-50%,-50%) scale(1);
}
.errorGallery {
  margin: 5rem 0;
  text-align: center;
  font-size: 2rem;
}
@media (max-width: 1340px) and (hover: hover) {
  .activityImg .swiper-wrapper {
    cursor: grab;
  }
  .activityImg .swiper-wrapper:active {
    cursor: grabbing;
  }
}
@media (max-width: 1340px) {
  .gallery-slider {
    transform: translateY(-50px);
  }
  .category .swiper-slide {
    height: 200px;
  }
  .category .swiper-slide::after {
    bottom: -255%;
    right: -170%;
    height: 230%;
  }
  .galleryList {
    padding: 50px;
  }
}
@media (max-width: 1150px) {
  .galleryList-table {
    grid-template-columns: repeat(2, 1fr);
  }
  .category .swiper-slide {
    height: 140px;
  }
  .category .swiper-slide h4 {
    font-size: 18px;
  }
  .category .swiper-slide::after {
    bottom: -300%;
    right: -170%;
    height: 270%;
  }
}
@media (max-width: 769px) {
  .category.swiper {
    padding: 0 20px;
    padding-bottom: 30px;
  }
  .category .swiper-slide {
    height: 230px;
  }
  .header-container {
    height: 72svh;
  }
  .category .swiper-btns {
    width: 100%;
  }
  .galleryList-container {
    padding-right: 0;
    padding-left: 12px;
  }
  .galleryList {
    padding: 0 10px;
  }
}
@media (max-width: 600px) {
  .category .swiper-slide {
    height: auto;
    aspect-ratio: 5/3;
  }
  .category .swiper-btns .swiper-btn {
    font-size: 26px;
  }
  .category .swiper-slide h4 {
    font-size: 18px;
  }
  .header-container {
    height: 40svh;
  }
  .header-container .title {
    transform: translateY(100px);
  }
  .category .swiper-btns {
    height: 60px;
  }
  header{
    height: 40svh;
  }
}
@media (max-width: 350px) {
  .category .swiper-slide h4 {
    font-size: 14px;
  }
}